# Generated by go2rpm 1
%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

# https://github.com/mongodb/mongo-go-driver
%global goipath         go.mongodb.org/mongo-driver
%global forgeurl        https://github.com/mongodb/mongo-go-driver
Version:                1.4.4

%gometa

%global common_description %{expand:
The Go driver for MongoDB.}

%global golicenses      LICENSE
%global godocs          examples CONTRIBUTING.md README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go driver for MongoDB

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/signer/v4)
BuildRequires:  golang(github.com/go-stack/stack)
BuildRequires:  golang(github.com/gobuffalo/packr/v2)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/klauspost/compress/zstd)
BuildRequires:  golang(github.com/kr/pretty)
BuildRequires:  golang(github.com/montanaflynn/stats)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/xdg/scram)
BuildRequires:  golang(github.com/xdg/stringprep)
BuildRequires:  golang(golang.org/x/crypto/ocsp)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sync/semaphore)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(golang.org/x/tools/imports)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/tidwall/pretty)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# Disabled tests need a mongo client or network access
%gocheck -d mongo \
         -d mongo/gridfs \
         -d x/mongo/driver/integration \
         -d x/mongo/driver/topology \
         -d mongo/integration
%endif

%files
%license LICENSE
%doc examples CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Dec 26 12:55:57 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.4-1
- Update to 1.4.4
- Close: rhbz#1874700

* Thu Aug 06 19:53:50 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.6-1
- Update to 1.3.6

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 06 20:24:08 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Aug 21 11:36:00 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- Initial package
